import { Context } from 'koa';
import user from './user';
import document from './document';
import services from '../services';
import path from 'path';
import { readFileSync } from 'fs';
const home = async (ctx: Context) => {
  ctx.body = 'home';
};
const ws = async (ctx:Context) => {
  ctx.body = readFileSync(path.resolve(__dirname, '../../example/ws.html')).toString()
}

// TODO: 读取验证码，待开发状态
const code = async (ctx: Context) => {
  interface params {
    phone?: string
  }
  const params: params = {}
  params.phone = ctx.query.phone
  if (!params.phone) {
    ctx.status = 400;
    ctx.body = ctx.$response(null, 'phone参数缺失', false, 400000);
    return;
  };
  const body = await services.code(ctx, params);
  ctx.body = ctx.$response(body);
};

export default {
  home,
  code,
  user,
  document,
  ws
}
